This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 40721 - Clean project integration implementation
Summary: Clean project integration implementation
Status: RESOLVED FIXED
Alias: None
Product: contrib
Classification: Unclassified
Component: Tasklist (show other bugs)
Version: 3.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: _ pkuzel
URL:
Keywords:
Depends on: 41710 42609
Blocks:
  Show dependency tree
 
Reported: 2004-03-03 12:48 UTC by _ pkuzel
Modified: 2004-08-13 12:11 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ pkuzel 2004-03-03 12:48:33 UTC
Replace all filesystems based chooser by one
showing project logical view.
Comment 1 _ pkuzel 2004-03-24 10:39:16 UTC
Initial experiment is in. It depends on not yet implemented project
APIs (list all opened projects).
Comment 2 _ pkuzel 2004-04-05 15:24:46 UTC
Project type independent content chooser needed.
Comment 3 _ pkuzel 2004-04-05 15:25:31 UTC
inproperly marked as fixed.
Comment 4 _ pkuzel 2004-04-30 22:21:37 UTC
It works. Waiting to Opened projects API to remove workaround.
Comment 5 _ pkuzel 2004-05-11 13:36:41 UTC
It's done at user level, just need to use clean APIs.
Comment 6 _ pkuzel 2004-05-11 13:37:04 UTC
It's done at user level, just need to use clean APIs.
Comment 7 _ pkuzel 2004-05-13 14:12:52 UTC
Rewritten to OpenProjects API.